<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2017 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: functions.php
| Version: 1.1
| Author: Virel
| About: TeamList infusion
| Web/Support: https://www.virel.eu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) {
    die("Access Denied");
}

dbquery("SET NAMES utf8");

if (file_exists(INFUSIONS . "virel_teamlist/locale/" . $settings['locale'] . ".php")) {
    include INFUSIONS . "virel_teamlist/locale/" . $settings['locale'] . ".php";
} else {
    include INFUSIONS . "virel_teamlist/locale/Slovak.php";
}

define("VTMBASE", BASEDIR . "infusions/virel_teamlist/");

add_to_head("<link rel='stylesheet' href='".VTMBASE."style.css'/>");

$settings = dbarray(dbquery("SELECT * FROM ".DB_VIREL_TEAMLIST_SETTINGS.""));

function format_time($endtime) {
  $starttime = time()+1;
	$timediff =	$starttime - $endtime;
	$days     =	intval($timediff/86400);
	$remain   =	$timediff%86400;
	$hours 	  =	intval($remain/3600);
	$remain   =	$remain%3600;
	$mins     =	intval($remain/60);
	$secs     =	$remain%60;
	$weeks    = intval($days/7);
	$months   = intval($days/30);
	$years   = intval($days/365);
	$gs = intval($years/100);
	$pluraldays 	= ($days == 1) ? " dňom " : " dňami ";
	$pluralweeks	= ($weeks == 1) ? " týždňom " : " týždňami ";
	$pluralhours 	= ($hours == 1) ? " hodinou " : " hodinami ";
	$pluralmins 	= ($mins == 1) ? " minutou" : " minutami ";
	$pluralsecs 	= ($secs == 1) ? " sekundou " : " sekundami ";
	$pluralmonths	= ($months == 1) ? " mesiacom " : " mesiacmi ";
  $pluralyears	= ($years == 1) ? " rokom " : " rokmi ";
  $pluralgs	= ($gs == 1) ? " gs. " : " gs. ";
	$hourcount	= ($hours == 0) ? 1 : 0;
	$minscount	= ($mins == 0) ? 1 : 0;
	$secscount	= ($secs == 0) ? 1 : 0;
	
	if($mins == 0  and $days == 0 and $hours == 0) {
	$timediff = "pred $secs$pluralsecs ";		
	} elseif($mins >= 1 and $hours == 0 and $days == 0) {
	$timediff = "pred $mins$pluralmins ";		
	} elseif($hours >= 1 and $days == 0) {
	$timediff = "pred $hours$pluralhours ";		
	} elseif($days >= 1 and $weeks == 0) {
	$timediff = "pred $days$pluraldays ";		
	} elseif($weeks >= 1 and $months == 0) {
	$timediff = "pred $weeks$pluralweeks ";
	} elseif($months >= 1 and $years == 0) {
	$timediff = "pred $months$pluralmonths ";
	} elseif($years >= 1 and $gs == 0) {
	$timediff = "pred $years$pluralyears ";
	}elseif($gs >= 1) {
	$timediff = "pred $gs$pluralgs ";
	}
	
	return $timediff;
}

function copy_virel() {
	
	echo "<div style='text-align: right; margin-top: 3px;'><a href='https://www.virel.eu/'
	title='Copyright 2017 Virel.eu' target='_blank'>&copy;</a></div>";

 }
 
function copy_virel2() {
	
 echo "<div style='text-align: center;'>Created by <a href='https://www.virel.eu/' alt='by Virel' title='by Virel' target='_blank'>Virel</a> &copy; 2017</div>";
 
}
 
?>